Upstream information

CVE-2018-4375 at MITRE

Description

Multiple memory corruption issues were addressed with improved memory handling. This issue affected versions prior to iOS 12.1, watchOS 5.1, Safari 12.0.1, iTunes 12.9.1, iCloud for Windows 7.8.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v3 Scores
  SUSE
Base Score 5.6
Vector CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:L/I:L/A:L
Access Vector Network
Access Complexity High
Privileges Required None
User Interaction None
Scope Unchanged
Confidentiality Impact Low
Integrity Impact Low
Availability Impact Low
CVSSv3 Version 3
SUSE Bugzilla entry: 1116998 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Enterprise Storage 4
  • libjavascriptcoregtk-4_0-18 >= 2.22.4-2.29.3
  • libwebkit2gtk-4_0-37 >= 2.22.4-2.29.3
  • typelib-1_0-JavaScriptCore-4_0 >= 2.22.4-2.29.3
  • typelib-1_0-WebKit2-4_0 >= 2.22.4-2.29.3
  • webkit2gtk-4_0-injected-bundles >= 2.22.4-2.29.3
Patchnames:
SUSE-Storage-4-2019-59
SUSE Linux Enterprise Desktop 12 SP3
  • libjavascriptcoregtk-4_0-18 >= 2.22.4-2.29.3
  • libwebkit2gtk-4_0-37 >= 2.22.4-2.29.3
  • libwebkit2gtk3-lang >= 2.22.4-2.29.3
  • typelib-1_0-JavaScriptCore-4_0 >= 2.22.4-2.29.3
  • typelib-1_0-WebKit2-4_0 >= 2.22.4-2.29.3
  • webkit2gtk-4_0-injected-bundles >= 2.22.4-2.29.3
Patchnames:
SUSE-SLE-DESKTOP-12-SP3-2019-59
SUSE Linux Enterprise Desktop 12 SP4
  • libjavascriptcoregtk-4_0-18 >= 2.22.4-2.29.3
  • libwebkit2gtk-4_0-37 >= 2.22.4-2.29.3
  • libwebkit2gtk3-lang >= 2.22.4-2.29.3
  • typelib-1_0-JavaScriptCore-4_0 >= 2.22.4-2.29.3
  • typelib-1_0-WebKit2-4_0 >= 2.22.4-2.29.3
  • webkit2gtk-4_0-injected-bundles >= 2.22.4-2.29.3
Patchnames:
SUSE-SLE-DESKTOP-12-SP4-2019-59
SUSE Linux Enterprise High Performance Computing 12 SP5
SUSE Linux Enterprise Server 12 SP5
  • libjavascriptcoregtk-4_0-18 >= 2.24.4-2.47.1
  • libwebkit2gtk-4_0-37 >= 2.24.4-2.47.1
  • libwebkit2gtk3-lang >= 2.24.4-2.47.1
  • typelib-1_0-JavaScriptCore-4_0 >= 2.24.4-2.47.1
  • typelib-1_0-WebKit2-4_0 >= 2.24.4-2.47.1
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.24.4-2.47.1
  • webkit2gtk-4_0-injected-bundles >= 2.24.4-2.47.1
SUSE Linux Enterprise Module for Basesystem 15 SP1
  • libjavascriptcoregtk-4_0-18 >= 2.24.1-3.24.1
  • libwebkit2gtk-4_0-37 >= 2.24.1-3.24.1
  • libwebkit2gtk3-lang >= 2.24.1-3.24.1
  • webkit2gtk-4_0-injected-bundles >= 2.24.1-3.24.1
SUSE Linux Enterprise Module for Basesystem 15 SP2
  • libjavascriptcoregtk-4_0-18 >= 2.28.2-1.11
  • libwebkit2gtk-4_0-37 >= 2.28.2-1.11
  • libwebkit2gtk3-lang >= 2.28.2-1.11
  • webkit2gtk-4_0-injected-bundles >= 2.28.2-1.11
SUSE Linux Enterprise Module for Basesystem 15 SP3
  • libjavascriptcoregtk-4_0-18 >= 2.32.0-3.15.1
  • libwebkit2gtk-4_0-37 >= 2.32.0-3.15.1
  • libwebkit2gtk3-lang >= 2.32.0-3.15.1
  • webkit2gtk-4_0-injected-bundles >= 2.32.0-3.15.1
SUSE Linux Enterprise Module for Basesystem 15
  • libjavascriptcoregtk-4_0-18 >= 2.22.5-3.13.1
  • libwebkit2gtk-4_0-37 >= 2.22.5-3.13.1
  • libwebkit2gtk3-lang >= 2.22.5-3.13.1
  • webkit2gtk-4_0-injected-bundles >= 2.22.5-3.13.1
Patchnames:
SUSE-SLE-Module-Basesystem-15-2019-92
SUSE Linux Enterprise Module for Desktop Applications 15 SP1
  • typelib-1_0-JavaScriptCore-4_0 >= 2.24.1-3.24.1
  • typelib-1_0-WebKit2-4_0 >= 2.24.1-3.24.1
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.24.1-3.24.1
  • webkit2gtk3-devel >= 2.24.1-3.24.1
SUSE Linux Enterprise Module for Desktop Applications 15 SP2
  • typelib-1_0-JavaScriptCore-4_0 >= 2.28.2-1.11
  • typelib-1_0-WebKit2-4_0 >= 2.28.2-1.11
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.28.2-1.11
  • webkit2gtk3-devel >= 2.28.2-1.11
SUSE Linux Enterprise Module for Desktop Applications 15 SP3
  • typelib-1_0-JavaScriptCore-4_0 >= 2.32.0-3.15.1
  • typelib-1_0-WebKit2-4_0 >= 2.32.0-3.15.1
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.32.0-3.15.1
  • webkit2gtk3-devel >= 2.32.0-3.15.1
SUSE Linux Enterprise Module for Desktop Applications 15
  • typelib-1_0-JavaScriptCore-4_0 >= 2.22.5-3.13.1
  • typelib-1_0-WebKit2-4_0 >= 2.22.5-3.13.1
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.22.5-3.13.1
  • webkit2gtk3-devel >= 2.22.5-3.13.1
Patchnames:
SUSE-SLE-Module-Desktop-Applications-15-2019-92
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15
  • webkit-jsc-4 >= 2.22.5-3.13.1
Patchnames:
SUSE-SLE-Module-Development-Tools-OBS-15-2019-92
SUSE Linux Enterprise Point of Sale 12 SP2-CLIENT
  • libjavascriptcoregtk-4_0-18 >= 2.22.4-2.29.3
  • libwebkit2gtk-4_0-37 >= 2.22.4-2.29.3
  • typelib-1_0-JavaScriptCore-4_0 >= 2.22.4-2.29.3
  • typelib-1_0-WebKit2-4_0 >= 2.22.4-2.29.3
  • webkit2gtk-4_0-injected-bundles >= 2.22.4-2.29.3
Patchnames:
SUSE-SLE-POS-12-SP2-CLIENT-2019-59
SUSE Linux Enterprise Server 12 SP2-BCL
  • libjavascriptcoregtk-4_0-18 >= 2.22.4-2.29.3
  • libwebkit2gtk-4_0-37 >= 2.22.4-2.29.3
  • typelib-1_0-JavaScriptCore-4_0 >= 2.22.4-2.29.3
  • typelib-1_0-WebKit2-4_0 >= 2.22.4-2.29.3
  • webkit2gtk-4_0-injected-bundles >= 2.22.4-2.29.3
Patchnames:
SUSE-SLE-SERVER-12-SP2-BCL-2019-59
SUSE Linux Enterprise Server 12 SP2-ESPOS
  • libjavascriptcoregtk-4_0-18 >= 2.22.4-2.29.3
  • libwebkit2gtk-4_0-37 >= 2.22.4-2.29.3
  • typelib-1_0-JavaScriptCore-4_0 >= 2.22.4-2.29.3
  • typelib-1_0-WebKit2-4_0 >= 2.22.4-2.29.3
  • webkit2gtk-4_0-injected-bundles >= 2.22.4-2.29.3
Patchnames:
SUSE-SLE-SERVER-12-SP2-ESPOS-2019-59
SUSE Linux Enterprise Server 12 SP2-LTSS
  • libjavascriptcoregtk-4_0-18 >= 2.22.4-2.29.3
  • libwebkit2gtk-4_0-37 >= 2.22.4-2.29.3
  • typelib-1_0-JavaScriptCore-4_0 >= 2.22.4-2.29.3
  • typelib-1_0-WebKit2-4_0 >= 2.22.4-2.29.3
  • webkit2gtk-4_0-injected-bundles >= 2.22.4-2.29.3
Patchnames:
SUSE-SLE-SERVER-12-SP2-2019-59
SUSE Linux Enterprise Server 12 SP3
SUSE Linux Enterprise Server for SAP Applications 12 SP3
  • libjavascriptcoregtk-4_0-18 >= 2.22.4-2.29.3
  • libwebkit2gtk-4_0-37 >= 2.22.4-2.29.3
  • typelib-1_0-JavaScriptCore-4_0 >= 2.22.4-2.29.3
  • typelib-1_0-WebKit2-4_0 >= 2.22.4-2.29.3
  • webkit2gtk-4_0-injected-bundles >= 2.22.4-2.29.3
Patchnames:
SUSE-SLE-SERVER-12-SP3-2019-59
SUSE Linux Enterprise Server 12 SP4
SUSE Linux Enterprise Server for SAP Applications 12 SP4
  • libjavascriptcoregtk-4_0-18 >= 2.22.4-2.29.3
  • libwebkit2gtk-4_0-37 >= 2.22.4-2.29.3
  • typelib-1_0-JavaScriptCore-4_0 >= 2.22.4-2.29.3
  • typelib-1_0-WebKit2-4_0 >= 2.22.4-2.29.3
  • webkit2gtk-4_0-injected-bundles >= 2.22.4-2.29.3
Patchnames:
SUSE-SLE-SERVER-12-SP4-2019-59
SUSE Linux Enterprise Server for SAP Applications 12 SP2
  • libjavascriptcoregtk-4_0-18 >= 2.22.4-2.29.3
  • libwebkit2gtk-4_0-37 >= 2.22.4-2.29.3
  • typelib-1_0-JavaScriptCore-4_0 >= 2.22.4-2.29.3
  • typelib-1_0-WebKit2-4_0 >= 2.22.4-2.29.3
  • webkit2gtk-4_0-injected-bundles >= 2.22.4-2.29.3
Patchnames:
SUSE-SLE-SAP-12-SP2-2019-59
SUSE Linux Enterprise Software Development Kit 12 SP3
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.22.4-2.29.3
  • webkit2gtk3-devel >= 2.22.4-2.29.3
Patchnames:
SUSE-SLE-SDK-12-SP3-2019-59
SUSE Linux Enterprise Software Development Kit 12 SP4
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.22.4-2.29.3
  • webkit2gtk3-devel >= 2.22.4-2.29.3
Patchnames:
SUSE-SLE-SDK-12-SP4-2019-59
SUSE Linux Enterprise Software Development Kit 12 SP5
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.24.4-2.47.1
  • webkit2gtk3-devel >= 2.24.4-2.47.1
SUSE Linux Enterprise Workstation Extension 12 SP3
  • libwebkit2gtk3-lang >= 2.22.4-2.29.3
Patchnames:
SUSE-SLE-WE-12-SP3-2019-59
SUSE Linux Enterprise Workstation Extension 12 SP4
  • libwebkit2gtk3-lang >= 2.22.4-2.29.3
Patchnames:
SUSE-SLE-WE-12-SP4-2019-59
SUSE OpenStack Cloud 7
  • libjavascriptcoregtk-4_0-18 >= 2.22.4-2.29.3
  • libwebkit2gtk-4_0-37 >= 2.22.4-2.29.3
  • typelib-1_0-JavaScriptCore-4_0 >= 2.22.4-2.29.3
  • typelib-1_0-WebKit2-4_0 >= 2.22.4-2.29.3
  • webkit2gtk-4_0-injected-bundles >= 2.22.4-2.29.3
Patchnames:
SUSE-OpenStack-Cloud-7-2019-59
openSUSE Leap 15.0
  • libjavascriptcoregtk-4_0-18 >= 2.22.5-lp150.2.9.1
  • libjavascriptcoregtk-4_0-18-32bit >= 2.22.5-lp150.2.9.1
  • libwebkit2gtk-4_0-37 >= 2.22.5-lp150.2.9.1
  • libwebkit2gtk-4_0-37-32bit >= 2.22.5-lp150.2.9.1
  • libwebkit2gtk3-lang >= 2.22.5-lp150.2.9.1
  • typelib-1_0-JavaScriptCore-4_0 >= 2.22.5-lp150.2.9.1
  • typelib-1_0-WebKit2-4_0 >= 2.22.5-lp150.2.9.1
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.22.5-lp150.2.9.1
  • webkit-jsc-4 >= 2.22.5-lp150.2.9.1
  • webkit2gtk-4_0-injected-bundles >= 2.22.5-lp150.2.9.1
  • webkit2gtk3-devel >= 2.22.5-lp150.2.9.1
  • webkit2gtk3-minibrowser >= 2.22.5-lp150.2.9.1
  • webkit2gtk3-plugin-process-gtk2 >= 2.22.5-lp150.2.9.1
Patchnames:
openSUSE-2019-81
openSUSE Tumbleweed
  • libjavascriptcoregtk-4_0-18 >= 2.32.4-1.1
  • libjavascriptcoregtk-4_0-18-32bit >= 2.32.4-1.1
  • libwebkit2gtk-4_0-37 >= 2.32.4-1.1
  • libwebkit2gtk-4_0-37-32bit >= 2.32.4-1.1
  • libwebkit2gtk3-lang >= 2.32.4-1.1
  • typelib-1_0-JavaScriptCore-4_0 >= 2.32.4-1.1
  • typelib-1_0-WebKit2-4_0 >= 2.32.4-1.1
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.32.4-1.1
  • webkit-jsc-4 >= 2.32.4-1.1
  • webkit2gtk-4_0-injected-bundles >= 2.32.4-1.1
  • webkit2gtk3-devel >= 2.32.4-1.1
  • webkit2gtk3-minibrowser >= 2.32.4-1.1
Patchnames:
openSUSE Tumbleweed GA libjavascriptcoregtk-4_0-18-2.32.4-1.1


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
HPE Helion OpenStack 8 webkit2gtk3 In progress
SLES-LTSS-SAP webkit2gtk3 In progress
SUSE CaaS Platform 4.0 webkit2gtk3 Released
SUSE Enterprise Storage 6 webkit2gtk3 Released
SUSE Linux Enterprise Desktop 12 SP3 webkit2gtk3 Released
SUSE Linux Enterprise Desktop 12 SP4 webkit2gtk3 Released
SUSE Linux Enterprise High Performance Computing 12 SP4 webkit2gtk3 Released
SUSE Linux Enterprise High Performance Computing 12 SP5 webkit2gtk3 In progress
SUSE Linux Enterprise High Performance Computing 15 LTSS webkit2gtk3 Released
SUSE Linux Enterprise High Performance Computing 15 SP1 LTSS webkit2gtk3 Released
SUSE Linux Enterprise Module for Basesystem 15 webkit2gtk3 Released
SUSE Linux Enterprise Module for Basesystem 15 SP1 webkit2gtk3 Released
SUSE Linux Enterprise Module for Desktop Applications 15 webkit2gtk3 Released
SUSE Linux Enterprise Module for Desktop Applications 15 SP1 webkit2gtk3 Released
SUSE Linux Enterprise Server 12 SP2 LTSS webkit2gtk3 Released
SUSE Linux Enterprise Server 12 SP3 webkit2gtk3 Released
SUSE Linux Enterprise Server 12 SP3 ESPOS webkit2gtk3 In progress
SUSE Linux Enterprise Server 12 SP3 LTSS webkit2gtk3 In progress
SUSE Linux Enterprise Server 12 SP4 webkit2gtk3 Released
SUSE Linux Enterprise Server 12 SP4 ESPOS webkit2gtk3 In progress
SUSE Linux Enterprise Server 12 SP4 LTSS webkit2gtk3 In progress
SUSE Linux Enterprise Server 12 SP5 webkit2gtk3 In progress
SUSE Linux Enterprise Server 15 ESPOS webkit2gtk3 Released
SUSE Linux Enterprise Server 15 LTSS webkit2gtk3 Released
SUSE Linux Enterprise Server 15 SP1 LTSS webkit2gtk3 Released
SUSE Linux Enterprise Server BCL 12 SP2 webkit2gtk3 In progress
SUSE Linux Enterprise Server BCL 12 SP3 webkit2gtk3 In progress
SUSE Linux Enterprise Server Business Critical Linux 15 SP1 webkit2gtk3 Released
SUSE Linux Enterprise Server for SAP Applications 12 SP2 webkit2gtk3 Released
SUSE Linux Enterprise Server for SAP Applications 12 SP3 webkit2gtk3 In progress
SUSE Linux Enterprise Server for SAP Applications 12 SP4 webkit2gtk3 Released
SUSE Linux Enterprise Server for SAP Applications 12 SP5 webkit2gtk3 In progress
SUSE Linux Enterprise Server for SAP Applications 15 webkit2gtk3 Released
SUSE Linux Enterprise Server for SAP Applications 15 SP1 webkit2gtk3 Released
SUSE Linux Enterprise Software Development Kit 12 SP3 webkit2gtk3 Released
SUSE Linux Enterprise Software Development Kit 12 SP4 webkit2gtk3 Released
SUSE Linux Enterprise Workstation Extension 12 SP3 webkit2gtk3 Released
SUSE Linux Enterprise Workstation Extension 12 SP4 webkit2gtk3 Released
SUSE Manager Proxy 4.0 webkit2gtk3 Released
SUSE Manager Retail Branch Server 4.0 webkit2gtk3 Released
SUSE Manager Server 4.0 webkit2gtk3 Released
SUSE OpenStack Cloud 8 webkit2gtk3 In progress
SUSE OpenStack Cloud 9 webkit2gtk3 In progress
SUSE OpenStack Cloud Crowbar 8 webkit2gtk3 In progress
SUSE OpenStack Cloud Crowbar 9 webkit2gtk3 In progress